from math import*
import matplotlib.pyplot as plt

def f(x):
  return exp(-x**2)

def Euler(n):
  h=1/n
  x=0;L_x=[x]
  y=0;L_y=[y]
  
  for k in range(n):
    y=y+h*f(x)
    x=x+h
    L_x.append(x)
    L_y.append(y)
  
  # Affichage graphique
  plt.plot(L_x,L_y)  
  plt.show()
  
  return L_x,L_y
